
import java.io.Serializable;



// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.75B045D6-A293-54FD-94EE-C9D49E62112A]
// </editor-fold> 
public class CartaDeTerritorio extends Carta implements Serializable{
    private

    Territorio territorioCarta;
    private String armada;    
    
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.D83E0AFE-49DF-1F40-6047-3A4047122094]
    // </editor-fold> 
    public CartaDeTerritorio (Territorio t, String armada) 
    {
        this.territorioCarta = t;
        this.armada = armada;        
        
        System.out.println("Se crea la carta para el territorio "+t.getNombre()+" Armada: "+armada);
    }

    public Territorio getTerritorioCarta() {
        return territorioCarta;
    }

    public void setTerritorioCarta(Territorio territorioCarta) {
        this.territorioCarta = territorioCarta;
    }

    public String getArmada() {
        return armada;
    }

    public void setArmada(String armada) {
        this.armada = armada;
    }        
}
